> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Batch Run

> Start a batch evaluation run on all files in the collection.



## OpenAPI

````yaml https://www.datalab.to/openapi.json post /api/v1/eval_batch_runs
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/eval_batch_runs:
    post:
      tags:
        - collections
      summary: Start Batch Run
      description: Start a batch evaluation run on all files in the collection.
      operationId: start_batch_run_api_v1_eval_batch_runs_post
      parameters:
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartBatchRunRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalBatchRunResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    StartBatchRunRequest:
      properties:
        collection_id:
          type: integer
          title: Collection Id
          description: ID of the collection to run against
        eval_rubric_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eval Rubric Id
          description: >-
            ID of the eval rubric to use. Required for standard pipelines,
            optional for custom pipelines (falls back to pipeline's
            eval_definition).
        pipeline_type:
          type: string
          enum:
            - convert
            - extract
            - segment
          title: Pipeline Type
          description: 'One of: convert, extract, segment'
          default: convert
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
          description: Optional custom pipeline ID
        page_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Schema
          description: Required when pipeline_type=extract
        segmentation_schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Segmentation Schema
          description: Required when pipeline_type=segment
        output_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Format
          description: Comma-separated output formats (e.g. 'markdown,json,html')
      type: object
      required:
        - collection_id
      title: StartBatchRunRequest
    EvalBatchRunResponse:
      properties:
        id:
          type: integer
          title: Id
        collection_id:
          type: integer
          title: Collection Id
        eval_rubric_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eval Rubric Id
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
        pipeline_type:
          type: string
          title: Pipeline Type
        status:
          type: string
          title: Status
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        total_files:
          type: integer
          title: Total Files
        completed_files:
          type: integer
          title: Completed Files
        avg_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Score
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
      type: object
      required:
        - id
        - collection_id
        - eval_rubric_id
        - pipeline_id
        - pipeline_type
        - status
        - started_at
        - completed_at
        - total_files
        - completed_files
        - avg_score
        - created
      title: EvalBatchRunResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````